# vim: set ft=swayconfig:
#
# This file controls all theming within swaywm, including colors, gaps,
# borders, fonts, etc.
#
# Right now we're staring at a nice gruvbox theme
#
font pango:IBM Plex Sans 12
default_border pixel 4
titlebar_border_thickness 4
focus_on_window_activation none
gaps inner 8

set $red #fb4934
set $green #b8bb26
set $yellow #fabd2f
set $blue #83a598
set $magenta #de869b
set $cyan #8ec07c
set $white #ebdbb2
set $black #282828
set $gray #32302f

# See sway(5) for details on these
#		Border color of the view itself				v
#		Indicator color (like for v/h split)		v
#		Titlebar text color			v
#		Titlebar backgrouond color	v
#		Titlebar border color	v
#	<colorclass>			<brd>	<bg>	<text>	<ind>	<chld>
	# The currently focused window
	client.focused			$blue	$blue	$black	$gray	$blue
	# The most recently focused view in an unfocused container
	client.focused_inactive		$gray	$black	$white	$gray	$gray
	# Any other unfocused views
	client.unfocused		$gray	$gray	$white	$gray	$gray
	# Any view with an urgency hint
	client.urgent			$yellow	$black	$white	$gray	$yellow
